# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-snpp
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           python-module-snpp
Version:        1.1.2
Release:        alt1_11
Summary:        Simple Network Paging Protocol

Group:          Development/Python
License:        GPLv2+
URL:            http://launchpad.net/python-snpp
Source0:        http://launchpad.net/%{oldname}/trunk/%{version}/+download/%{oldname}-%{version}.tar.gz
Source1:        COPYING.python-snpp

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
Source44: import.info

%description
Libraries implementing RFC 1861 - Simple Network Paging Protocol

%prep
%setup -n %{oldname}-%{version} -q
rm -rf python_snpp.egg-info
cp %{SOURCE1} ./COPYING

%build
sed -i 's/from ez_setup import use_setuptools//' setup.py
sed -i 's/use_setuptools()//' setup.py
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
%files
%doc README COPYING
%{python_sitelibdir_noarch}/Pager.py*
%{python_sitelibdir_noarch}/snpplib.py*
%{python_sitelibdir_noarch}/python_snpp*.egg-info

%changelog
* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.1.2-alt1_11
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 1.1.2-alt1_10
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.1.2-alt1_9
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.2-alt1_8
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.2-alt1_7
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 1.1.2-alt1_6
- initial fc import

